[Swift-commit] r5501 - trunk/docs/siteguide

ketan at ci.uchicago.edu ketan at ci.uchicago.edu
Tue Jan 17 13:44:37 CST 2012


Author: ketan
Date: 2012-01-17 13:44:36 -0600 (Tue, 17 Jan 2012)
New Revision: 5501

Modified:
   trunk/docs/siteguide/grid
Log:
siteguide refinements

Modified: trunk/docs/siteguide/grid
===================================================================
--- trunk/docs/siteguide/grid	2012-01-17 17:17:08 UTC (rev 5500)
+++ trunk/docs/siteguide/grid	2012-01-17 19:44:36 UTC (rev 5501)
@@ -138,16 +138,18 @@
 Depending on your shell type, run:
 
 -----
-source /opt/osg/setup.sh
+source /opt/osg-<version>/setup.sh
 or
-source /opt/osg/setup.csh
+source /opt/osg-<version>/setup.csh
 -----
 
+NOTE: This above step is not required on engage-submit3 host. 
+
 Create a VOMS Grid proxy
 ~~~~~~~~~~~~~~~~~~~~~~~~
 
 -----
-$ voms-proxy-init -voms Engage -valid 12:00
+$ voms-proxy-init -voms Engage -valid 72:00
 -----
 
 Generating Configuration Files
@@ -204,12 +206,37 @@
 $
 $ foreachsite -resource fork myinstall.sh
 $
-$ # Wait a file here, then poll for successfully installed apps...
+$ # Wait a while here, then poll for successfully installed apps...
 $
 $ grep SUCCEEDED run.89/*/*.stdout
 $
 -----
 
+Following is an example of the installation script for DSSAT app on OSG:
+
+-----
+#!/bin/bash
+
+cd ${OSG_APP}/extenci/swift/
+
+#pull
+wget http://www.ci.uchicago.edu/~ketan/DSSAT.tgz
+
+#extract
+tar zxf DSSAT.tgz
+
+# test
+cd DSSAT/data
+
+../DSSAT040.EXE A H1234567.MZX > std.OUT
+
+if [ $? = 0 ]; then
+  echo INSTALL SUCCEEDED
+else
+  echo INSTALL FAILED
+fi
+-----
+
 Starting a single coaster service
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 




More information about the Swift-commit mailing list